local knob_position = 0
-- Global variables --
local gbl_target_fuel = 0
local gbl_cur_fuel    = 0
local gbl_factor      = 0.06
-- Set the maximum fuel quantity (full) in gallons here:
local gbl_max_fuel    = 200
Fuel_Quantity=0
Fuel_Quantity_L_Main = 0
Fuel_Quantity_R_Main = 0
Fuel_Quantity_L_Aux = 0
Fuel_Quantity_R_Aux = 0
--Images--

img_add_fullscreen("Reservoir_ DC3.png")
img_needle_L = img_add("aiguille_Reservoir_ DC3.png", 28, 226, nil, nil)
img_add_fullscreen("Cache_fuel DC3.png")
mask_Bouton19=img_add("Bouton_Reservoir_LeftMain.png", 130, 513, nil, nil)
mask_Bouton20=img_add("Bouton_Reservoir_RightMain.png", 130, 513, nil, nil)
mask_Bouton4=img_add("Bouton_Reservoir_LeftAux.png", 130, 513, nil, nil)
mask_Bouton5=img_add("Bouton_Reservoir_RightAux.png", 130, 513, nil, nil)


function  Fuel_Tank_Quantity(Quantity_L_Main ,Quantity_R_Main ,Quantity_L_Aux ,Quantity_R_Aux)

		Fuel_Quantity_L_Main = Quantity_L_Main
		Fuel_Quantity_R_Main = Quantity_R_Main	
		Fuel_Quantity_L_Aux = Quantity_L_Aux	
		Fuel_Quantity_R_Aux = Quantity_R_Aux
end	

function timer_callback()	
	
    -- Rotate needle image
		img_rotate(img_needle_L, 120 / 200 *(gbl_cur_fuel))	
	
    -- Calculate the current fuel position
    gbl_cur_fuel = gbl_cur_fuel + ((gbl_target_fuel - gbl_cur_fuel) * gbl_factor)

end


----------------------------------- Ajout JZ

function knob(direction)
	knob_position = knob_position + direction
	if knob_position <0 then knob_position=3 end
	if knob_position >3 then knob_position=0 end
	sound_play(knobclick)
	--print (knob_position)
    img_visible(mask_Bouton19, false)-- left main
	img_visible(mask_Bouton20, false)--right main
	img_visible(mask_Bouton4, false)-- left aux
	img_visible(mask_Bouton5, false)-- right aux	


    if knob_position == 0 then
		Fuel_Quantity = Fuel_Quantity_L_Main
		img_visible(mask_Bouton19, true)
    elseif knob_position == 1 then 
		Fuel_Quantity = Fuel_Quantity_R_Main	
  		img_visible(mask_Bouton20, true)
    elseif knob_position == 2 then 
		Fuel_Quantity = Fuel_Quantity_R_Aux
		img_visible(mask_Bouton5, true)	
	elseif knob_position == 3 then 
		Fuel_Quantity = Fuel_Quantity_L_Aux	
		img_visible(mask_Bouton4, true)	
    end
	gbl_target_fuel = var_cap(Fuel_Quantity , 0, gbl_max_fuel)
end

dial_knob = dial_add (nil,50,420,300,300,knob)
dial_click_rotate(dial_knob, 90)

knob(0)
---------------------------------------------------------------------
		
fsx_variable_subscribe("FUEL TANK LEFT MAIN QUANTITY", "Gallons",
						"FUEL TANK RIGHT MAIN QUANTITY", "Gallons",						
						"FUEL TANK LEFT AUX QUANTITY", "Gallons",						
						"FUEL TANK RIGHT AUX QUANTITY", "Gallons", Fuel_Tank_Quantity)						

-- Timers --
tmr_update = timer_start(0, 50, timer_callback)


